classification
Title: faulthandler: drop S from dump_tracebacks_later() function name to have consistent names
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, georg.brandl, haypo, python-dev
Priority: release blocker Keywords: patch

Created on 2012-09-18 20:57 by haypo, last changed 2012-09-24 05:46 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
faulthandler_without_s.patch haypo, 2012-09-18 20:57 review
Messages (6)
msg170677 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-09-18 20:57
If it is not too late, I would like to "fix" the name of two functions of the new faulthandler module before the release of Python 3.3 final. Changes:

 * dump_tracebacks_later() => dump_traceback_later()
 * cancel_dump_tracebacks_later() => cancel_dump_traceback_later()

The module has also a function dump_traceback() without S.

In an early version of the module (before it was integrated in Python 3.3), these functions only dumped the current thread. They are now dumping all threads by default, and I don't see the point of having an S anyway.

@Georg: Would you accept such change? The module is new in Python 3.3, and it is only a debug module, I don't expect anyone relying on its API right now.
msg171003 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-09-22 15:36
Added to release clone as eede0bf3ceac.
msg171022 - (view) Author: Roundup Robot (python-dev) Date: 2012-09-23 09:15
New changeset 178f9042af81 by Victor Stinner in branch 'default':
Issue #15969: Fix the issue number in Misc/NEWS
http://hg.python.org/cpython/rev/178f9042af81
msg171023 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-09-23 09:16
@georg.brandl: You wrote the wrong issue number in the Misc/NEWS file of the 3.3 repository (5969 -> 15969).
msg171024 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-09-23 09:17
Thanks, fixed in b8b5ef366bdc.
msg171100 - (view) Author: Roundup Robot (python-dev) Date: 2012-09-24 05:46
New changeset eede0bf3ceac by Georg Brandl in branch 'default':
Closes #15969: rename new API to have consistent names in the faulthandler module.
http://hg.python.org/cpython/rev/eede0bf3ceac
History
Date User Action Args
2012-09-24 05:46:49python-devsetmessages: + msg171100
stage: resolved
2012-09-23 09:17:12georg.brandlsetmessages: + msg171024
2012-09-23 09:16:21hayposetmessages: + msg171023
2012-09-23 09:15:22python-devsetnosy: + python-dev
messages: + msg171022
2012-09-22 15:36:33georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg171003
2012-09-18 21:25:01Arfreversetnosy: + Arfrever
2012-09-18 20:57:05haypocreate